app.service('configGeralService', ['$rootScope', 'http', function($rootScope, http){
    /**
     * Get dados da Igreja Logada
     * @returns {unresolved}
     */
    this.getDadosConfigGeral = function(){
        var url = $rootScope.rootUrl+"Igreja/getDadosConfigGeral/"+$rootScope.dispIg.ig_cod;
        return http.get(url);
    };
    
     /**
     * Seta a mensagem de aniversário para o usuário do dispositivo
     * @param {string} ig_msg_niver
     * @returns {undefined}
     */
    this.setLocalStorageMsgNiverDisp = function(ig_msg_niver){
        var msg_niver = ig_msg_niver ? ig_msg_niver : "Felicidades para você, por este dia tão especial!";
        localStorage.setItem('disp_ig_msg_niver', msg_niver);
    };
    
}]);


