app.directive('agendaList', function(){
    return {
        restrict: 'EA',
        replace: true,
        scope: {
            ag: '='
        },
        templateUrl: 'app/c/agenda/agendaListTpl.html',
        controller: function($scope, $filter, Util){
            $scope.init = function(){
                
            };
            
            /**
            * Compartilhar Evento
            * @param {type} ev_cod
            * @returns {undefined}
            */
            $scope.sendItemDaAgendaSocialSharing = function(i){
                var dataevento =  $filter('date')(i.ev_dataevento, 'dd/MM/yyyy');
                var msg = dataevento + " - " + i.ev_titulo + " : " + i.ev_descricao;
                window.plugins.socialsharing.share(msg, i.ev_titulo);    
            };
            
            $scope.getSemanaTxt = function(data, abrev){
                var hoje = new Date();
                hoje = $filter('date')(hoje, 'yyyy-MM-dd');

                if(data == hoje) return 'HOJE';
                var d = new Date(data+"T11:51:00");
                var dia_semana = d.getDay()+"";
                return Util.getSemanaTxt(dia_semana, abrev);
            };

            
            /**
             * Start
             */
            $scope.init();
        }
    };
});


