app.factory('bibliaService',['$rootScope', 'http', function($rootScope, http){
    var db_biblia = null;
    
    var conex = function(){
        if(db_biblia === null){
            //Conectar base de dados dbapp.sqlite
            try {
                
                if($rootScope.deviceready){
                    if (window.sqlitePlugin.openDatabase) {
                        db_biblia = window.sqlitePlugin.openDatabase({name: 'biblia'});//Produção
                    } else {
                        if(!$rootScope.deviceready){
                            alert('Não suporta acesso a banco sqlite!');
                            return false;
                        }else{
                            navigator.notification.alert("Não suporta acesso a banco sqlite!", null, 'Erro');
                            return false;
                        }                        
                    }                        
                }else{
                    db_biblia = window.openDatabase('dbapp','1.0','biblia',22222);//Testes                        
                }

                if (!db_biblia){
                    navigator.notification.alert("Falha ao abrir o banco de dados do app!", null, 'Erro');
                    return false;
                }else{                        
                    return db_biblia;
                }
                        
            } catch(err) {}
        }else{
            return db_biblia;
        }
    };
    
    return {
        conex: function(){
            return conex();
        },
        errorDB: function(error) {
            if(!$rootScope.deviceready){
                alert("Erro ao processar o SQL: " + error.code + " - "+error.message, null, 'Erro');
            }else{
                navigator.notification.alert("Erro ao processar o SQL: " + error.code + " - "+error.message, null, 'Erro');
            }
        }
    };
}]);


