app.controller('contatoController',['$scope', '$rootScope', 'configGeralService', 'Util', function($scope, $rootScope, configGeralService, Util){
    $rootScope.navtop.btnBack = true;
    $rootScope.navtop.title = "Contato";
    
    $scope.loader = false;
    $scope.cf = {};
    
    $scope.init = function(){
        $scope.getDadosConfigGeralIg();
    };
    
    $scope.getDadosConfigGeralIg = function(){
        $scope.loader = true;
        configGeralService.getDadosConfigGeral().success(function(data){
            $scope.cf = data.result;
            $scope.loader = false;
        }).error(function(data, status, headers, config){
            Util.alertErrorMessage(data, status);
            $scope.loader = false;
        });
    };
    
    /**
     * Compartilhar Contato
     * @param {type} i
     * @returns {undefined}
     */
    $scope.sendContatoSharing = function(i){
        var msg = i.ig_nome + " - " + i.ig_logradouro + " Nº " + + i.ig_num + " - " + i.ig_bairro + " - " + i.ig_cidade + "/" + i.ig_uf + " - Fone: " + i.ig_telefone + " - Email: " + i.ig_email;
        window.plugins.socialsharing.share(msg, i.ig_nome);            
    };
    
    $scope.init();
}]);