app.service('dispAtivarService', ['$rootScope', 'http', function($rootScope, http){
    
    /**
     * Ativar dispositivo no banco remoto
     * @returns {unresolved}
     */
    this.ativarDisp = function(ig_cod){
        var url = $rootScope.rootUrl+"Dispositivos/setTagPadraoDispositivo";
    
        var playerId = $rootScope.player_id_onesignal ? $rootScope.player_id_onesignal : localStorage.getItem('player_id_onesignal');

        var params = {
                        disp_ig_cod: ig_cod,
                        disp_ativ_device_registration_id: playerId
                     };
        
        return http.post(url, params);
    };
    
    this.desativarDisp = function(ig_cod){
        var url = $rootScope.rootUrl+"Dispositivos/removeTagPadraoDispositivo";
    
        var playerId = $rootScope.player_id_onesignal ? $rootScope.player_id_onesignal : localStorage.getItem('player_id_onesignal');

        var params = {
                        disp_ig_cod: ig_cod,
                        disp_ativ_device_registration_id: playerId,
                        tk: localStorage.getItem('lg_token_session')
                     };
        
        return http.post(url, params);
    };
    
}]);

