app.controller('homeController', ['$scope', '$rootScope', '$window', '$location', 'dispIdentIgService', 'loginService', '$timeout','Util', function($scope, $rootScope, $window, $location, dispIdentIgService, loginService, $timeout, Util){
    $rootScope.navtop.btnBack = false;    
    $rootScope.navtop.title = "";
    $('html, body').animate({scrollTop: 0},1);
    
    $scope.init = function(){        
        if($rootScope.deviceready){
            document.addEventListener("online", function(){
                $scope.getDadosStart();
            }, false);

            document.addEventListener('resume', function(){
                $scope.getDadosStart();
            }, false);

            window.plugins.insomnia.allowSleepAgain();//Permite o dispositivo pegar no sono
        }            

        $timeout(function(){            
            if(!localStorage.getItem('disp_ig_cod')){        
                $location.path('/dispIdentIg');
            }else if(!localStorage.getItem('tagPadraoDefinidaNoServPush')){
                $location.path('/dispIdentIg'); 
            }else{
                $("#home").show();
                $scope.getDadosStart();
            }
        },850);
        //$('#notifModal').modal('show');    
            
    };
    
    $scope.getDadosStart = function(){
        if(!$rootScope.dispIg.ig_cod) return;
                
        $scope.agenda_dodia_list = localStorage.getItem('agenda_dodia') ? JSON.parse(localStorage.getItem('agenda_dodia')) : [];
        $scope.count_agenda_not_view = localStorage.getItem('count_agenda_not_view') ? JSON.parse(localStorage.getItem('count_agenda_not_view')) : 0;

        $scope.aniv_dodia_list = localStorage.getItem('nivers_dodia') ? JSON.parse(localStorage.getItem('nivers_dodia')) : [];
        $scope.count_niver_not_view = localStorage.getItem('count_niver_not_view') ? JSON.parse(localStorage.getItem('count_niver_not_view')) : 0;

        dispIdentIgService.getDadosStart().success(function(data){            
            
            loginService.setLg(data.result.us);
            dispIdentIgService.setLocalStorageIdentificIgreja(data.result.ig);            
            $scope.addAnivDoDiaLocalStorage(data.result.aniv_dodia_list);
            $scope.addAgendaDoDiaLocalStorage(data.result.agenda_dodia_list);
            
        }).error(function(data, status, headers, config){
            //console.error(data.error.text);
            Util.alertErrorMessage(data, status);
        });
    };
    
    $scope.addAgendaDoDiaLocalStorage = function(agenda_remoto){
        var agenda_local = localStorage.getItem('agenda_dodia') ? JSON.parse(localStorage.getItem('agenda_dodia')) : null;
        $scope.count_agenda_not_view = 0;
        
        angular.forEach(agenda_remoto, function(d){
            $scope.count_agenda_not_view++;
            angular.forEach(agenda_local, function(i){
                if(d.ev_cod == i.ev_cod){
                    if(i.mark_view){      
                        d.mark_view = true;
                        $scope.count_agenda_not_view--;
                    }                     
                }
            });
        });
        
        $scope.agenda_dodia_list = agenda_remoto;
        localStorage.setItem('count_agenda_not_view', $scope.count_agenda_not_view);
        localStorage.setItem('agenda_dodia', JSON.stringify(agenda_remoto));
    };
    $scope.markViewAllAgendaDoDiaLocalStorage = function(){
        var agenda_local = localStorage.getItem('agenda_dodia') ? JSON.parse(localStorage.getItem('agenda_dodia')) : null;
        
        if(agenda_local){
            angular.forEach(agenda_local, function(d){
                d.mark_view = true;
            });
            localStorage.setItem('agenda_dodia', JSON.stringify(agenda_local));
        }   
        localStorage.setItem('count_agenda_not_view', 0);
        $scope.count_agenda_not_view = 0;        
    };
    
    $scope.addAnivDoDiaLocalStorage = function(anivs_remoto){
        var anivs_local = localStorage.getItem('nivers_dodia') ? JSON.parse(localStorage.getItem('nivers_dodia')) : null;
        $scope.count_niver_not_view = 0;
        
        angular.forEach(anivs_remoto, function(d){
            $scope.count_niver_not_view++;
            angular.forEach(anivs_local, function(i){
                if(d.us_cod == i.us_cod){
                    if(i.mark_view){      
                        d.mark_view = true;
                        $scope.count_niver_not_view--;
                    }                     
                }
            });
        });
        
        $scope.aniv_dodia_list = anivs_remoto;
        localStorage.setItem('count_niver_not_view', $scope.count_niver_not_view);
        localStorage.setItem('nivers_dodia', JSON.stringify(anivs_remoto));
    };
    $scope.markViewAllAnivsDoDiaLocalStorage = function(){
        var anivs_local = localStorage.getItem('nivers_dodia') ? JSON.parse(localStorage.getItem('nivers_dodia')) : null;
        
        if(anivs_local){
            angular.forEach(anivs_local, function(d){
                d.mark_view = true;
            });
            localStorage.setItem('nivers_dodia', JSON.stringify(anivs_local));
        }   
        localStorage.setItem('count_niver_not_view', 0);
        $scope.count_niver_not_view = 0;        
    };
    
    
    $scope.openNotifModal = function(i){
        $rootScope.nf = i;
        $('#notifModal').modal('show');
    };
    $scope.deleteNotifModal = function(idx){
        $rootScope.nfs.splice(idx,1);
        localStorage.setItem('nfs', JSON.stringify($rootScope.nfs));
    };
    
    $scope.init();
}]);

