app.service('usService', ['http', '$rootScope', 'loginService', function(http, $rootScope, loginService){
        /**
         * Retorna os dados de um determinado usuário
         * @param {int} us_cod
         * @returns {unresolved}
         */
        this.getDadosUs = function(us_cod){
            var url = $rootScope.rootUrl+"Us/getDadosUs";
            var params = {
                lg: loginService.getLgSession(),
                us_ig_cod: $rootScope.dispIg.ig_cod,
                us_cod: us_cod
            };

            return http.post(url, params);
        };
        
        /**
         * Salvar dados do usuário logado
         * @param {Object} us
         * @returns {unresolved}
         */
        this.salvarMeuPerfilUs = function(us){
            var url = $rootScope.rootUrl+"Us/salvarMeuPerfilUs";
            var params = {
                lg: loginService.getLgSession(),
                us_ig_cod: $rootScope.dispIg.ig_cod,
                us_cod: $rootScope.lg.us_cod,
                us_nome: us.us_nome,  
                us_email: us.us_email,
                us_pass: us.us_pass,
                us_cel: us.us_cel,
                us_datanasc: us.us_datanasc
            };
            
            return http.post(url, params);
        };
}]);

