app.service('videoService', ['$rootScope', 'http', function ($rootScope, http) {

        this.getListsForSelectCategVideo = function () {
            var url = $rootScope.rootUrl + "Video/getCategoriasVideo/"+$rootScope.dispIg.ig_cod;
            
            return http.get(url);
        };
        
        /**
         * Retorna registros paginados dos vídeos
         * @param {type} pg Número da página
         * @param {type} search Pesquisar por
         * @param {type} filtro Filtros
         * @returns {unresolved}
         */
        this.getVideosSearchAll = function (pg, search, filtro) {
            var url = $rootScope.rootUrl + "Video/getVideosSearchAll";
            var params = {
                ig_cod: localStorage.getItem('disp_ig_cod'),
                parameter: search,
                pg: pg + 1,
                regporpag: 12,
                filtro: filtro
            };

            return http.post(url, params);
        };
        
        /**
        * Compartilhar Vídeo
        * @param {type} i
        * @returns {undefined}
        */
        this.sendVideoSharing = function(i){
           var msg = "Vídeo: " + i.vd_titulo + " - " + i.vd_url;
           window.plugins.socialsharing.share(msg, i.vd_titulo);            
        };
        
        
    }]);
