/** ROUTE **/
app.config(['$routeProvider', function($routeProvider){
        $routeProvider.when('/', {
            templateUrl : 'app/c/home/homeView.html',
            controller  : 'homeController'
        }).when('/dispIdentIg', {
            templateUrl : 'app/c/dispIdentIg/dispIdentIgView.html',
            controller  : 'dispIdentIgController'
        }).when('/dispAtivar', {
            templateUrl : 'app/c/dispAtivar/dispAtivarView.html',
            controller  : 'dispAtivarController'
        }).when('/login', {
            templateUrl : 'app/c/login/loginView.html',
            controller  : 'loginController'
        }).when('/contato', {
            templateUrl : 'app/c/contato/contatoView.html',
            controller  : 'contatoController'
        }).when('/doacao', {
            templateUrl : 'app/c/doacao/doacaoView.html',
            controller  : 'doacaoController'    
        }).when('/freuniao', {
            templateUrl : 'app/c/freuniao/freuniaoView.html',
            controller  : 'freuniaoController'
        }).when('/celulas', {
            templateUrl : 'app/c/redecel/celulasView.html',
            controller  : 'celulasController'
        }).when('/minhascelulaslist', {
            templateUrl : 'app/c/minhacelula/minhacelulaListView.html',
            controller  : 'minhacelulaListController'     
        }).when('/redecelulas', {
            templateUrl : 'app/c/redecel/redecelView.html',
            controller  : 'redecelController'  
        }).when('/reunioesporstatus/:dataref_ini/:dataref_fim', {
            templateUrl : 'app/c/redecel/reuniaoPorStatusView.html',
            controller  : 'reuniaoPorStatusController' 
        }).when('/video', {
            templateUrl : 'app/c/video/videoView.html',
            controller  : 'videoController'
        }).when('/agenda', {
            templateUrl : 'app/c/agenda/agendaView.html',
            controller  : 'agendaController'
        }).when('/nivers', {
            templateUrl : 'app/c/us/niversView.html',
            controller  : 'niversController'
        }).when('/msgs', {
            templateUrl : 'app/c/msgs/msgsView.html',
            controller  : 'msgsController'
        }).when('/biblia', {
            templateUrl : 'app/c/biblia/bibliaView.html',
            controller  : 'bibliaController'
        }).when('/pedoracao', {
            templateUrl : 'app/c/pedoracao/pedoracaoView.html',
            controller  : 'pedoracaoController'
        }).when('/consolidacao', {
            templateUrl : 'app/c/consolidacao/consolidacaoView.html',
            controller  : 'consolidacaoController'    
        }).when('/down', {
            templateUrl : 'app/c/down/downView.html',
            controller  : 'downController'
        }).
        otherwise({redirectTo:'/'});
}]);


