app.controller('appController', ['$scope', '$location', '$rootScope', 'loginService', 'dispAtivarService', 'dispIdentIgService', 'msgsService', function ($scope, $location, $rootScope, loginService, dispAtivarService, dispIdentIgService, msgsService) {

    /**
     * Escuta o redirect_app que vem do push (oneSignal)
     */
    $rootScope.$watch('redirect_app', function(v) {      
        if(v !== '/' && v !== undefined){
            console.log(v);
            $location.path("/"+v);
            setTimeout(function(){
                $rootScope.$apply(function () {
                    $rootScope.redirect_app = "/";
                });
            },500);
                
        }
    }); 
    
    $scope.start = function () {
        loginService.setLgRoot();
        dispIdentIgService.setDispIgRoot();
        
        $scope.startScrollEvent();
        
        /**
         * Start Gerenciador de mensagens pendentes do "Mensagens"
         */
        setTimeout(function(){
            msgsService.sendMsgsServidorStart();
        }, 3*1000);
                
        
    };
    
    $scope.location = function(p){
        if(p === '/minhascelulaslist'){
            if($rootScope.lg.us_cod){
                $location.path(p);
            }else{
                $('#loginModal').modal('show');
                localStorage.setItem('login_redirect_path', p);
            }
        }else{
            $location.path(p);
        }        
    };
    
    $scope.back = function(){
        $rootScope.navtop.title = "";
        $location.path($rootScope.previousPage);
    };
    
    /**
     * Controla o evento de scroll
     * @returns {undefined}
     */
    $scope.startScrollEvent = function(){
        $(window).scroll(function () {
            if($location.path() === "/freuniao" || $location.path() === "/redecelulas" || $location.path().indexOf("/reunioesporstatus") !== -1 || $location.path() === "/video" || $location.path() === "/msgs"){
                //Enviar mensagens para os controllers que estiverem escutando
                //Artigo: http://nomadev.com.br/como-comunicar-diferentes-controllers-no-angularjs/
                $scope.$emit('handleEmit', {tipo: "scroll", path: $location.path(), msg: ""});
            }            
        });
    };
    
    

    $scope.start();
}]);


