app.controller('agendaController', ['$scope', '$rootScope', 'Util', 'wfPaginationService', 'agendaService', function($scope, $rootScope, Util, wfPaginationService, agendaService){
    $rootScope.navtop.btnBack = true;
    $rootScope.navtop.title = "Agenda";
        
    $scope.ag = [];
    $scope.filtro = {};
    $scope.pag = {};
    $scope.loader = false;
    
    //Para paginação
    $scope.pag = wfPaginationService.getPagMesAnoAtual();
    //---
    
    var d = new Date();
    $scope.dia_semana_hoje = d.getDay();
    $scope.dia_hoje = d.getDate();
 

    $scope.init = function(){
        $scope.getAgendaIgrejaAll();
    };
    
    /**
     * Retorna registros da agenda
     * @returns {undefined}
     */
    $scope.getAgendaIgrejaAll = function(){
        $scope.loader = true;
        $scope.ag = [];
        
        agendaService.getAgendaIgrejaAll($scope.pag).success(function(data){
            $scope.ag = data.result;
            
            //var deslocamento = $("#inicio_semana_atual").offset();
            //alert(deslocamento);
            setTimeout(function(){
                var inicio = "";
                if($( "li" ).hasClass( "has-hoje" )){
                    inicio = $(".has-hoje");
                }else{
                    inicio = $(".has-semana-atual:first");
                }       
                if(inicio.offset().top > 106){
                    $("html body").animate({scrollTop: inicio.offset().top - 106}, 2000, function(){
                        $('.has-semana-atual').animate({opacity:'toggle'}).animate({opacity:'toggle'});
                        $('.has-hoje').animate({opacity:'toggle'}).animate({opacity:'toggle'});
                    });  
                }                    
            }, 1000);
            

            
            $scope.loader = false;
        }).error(function(data, status, headers, config){
            Util.alertErrorMessage(data, status);
            $scope.loader = false;
        });
    };
    
    
    /**
     * Start
     */
    $scope.init();
    
}]);


