app.directive('consolidacaoCad', function(){
    return {
        restrict: 'EA',
        replace: true,
        scope: {
            cs: '=',
            onSuccess: '&'
        },
        templateUrl: 'app/c/consolidacao/consolidacaoCadTpl.html',
        controller: function($scope, $rootScope, consolidacaoService, bdAppService){
            var db_app = null;
            $scope.loader = false;
            $scope.alert_msg = "";
            
            $scope.init = function(){
                db_app = bdAppService.conex();
            };
            
            $scope.sendParaConsolidar = function(){
                if($scope.formConsolidar.$invalid){
                    if($rootScope.deviceready){
                        window.plugins.toast.showLongTop('Dados inválidos!'); 
                    }else{
                        alert('Dados inválidos!');
                    }
                    return false;
                }
            };
            
            var errorDB = function(error) {
                $scope.loader = false;
                alert("Erro ao processar o SQL: " + error.code + " - "+error.message, null, 'Erro');
                //navigator.notification.alert("Erro ao processar o SQL: " + error.code + " - "+error.message, null, 'Erro');
            };

            $scope.insertParaConsolidarBdLocal = function(){        
                $scope.loader = true;
                var ig_cod = localStorage.getItem('disp_ig_cod');
                var us_cod = localStorage.getItem('lg_us_cod');
                
                db_app.transaction(function(tx){
                    tx.executeSql('INSERT INTO cons_consolidar (cs_ig_cod, cs_consolidador_cod, cs_nome, cs_tel, cs_bairro, cs_data) VALUES ("'+ig_cod+'", "'+us_cod+'", "'+$scope.cs.us_nome+'", "'+$scope.cs.cs_tel+'", "'+$scope.cs.cs_bairro+'", '+datetime('now')+' )',[], function(tx, result){
                        $scope.loader = false;
                        window.plugins.toast.showLongTop('Operação realizada com sucesso!');
                        $scope.onSuccess();
                    });
                },errorDB);
            };
            
            /**
             * Start
             */
            $scope.init();
        }
    };
});

