app.controller('doacaoController',['$scope', '$rootScope', 'doacaoService', 'Util', function($scope, $rootScope, doacaoService, Util){
    $rootScope.navtop.btnBack = true;
    $rootScope.navtop.title = "Doacão";
    
    $scope.dc = {dc_tipo_doacao: '0', dc_meio_pag: '0'};
    $scope.val_selec = 0;
    $scope.passo = 0;
    $scope.loader = false;
    
    
    $scope.init = function(){
        //$scope.getDadosConfigGeralIg();
    };
    
    $scope.updateBgDoacao = function(){
        if($scope.dc.dc_tipo_doacao > 0){
            $("#bg_geral").css({backgroundImage : 'url(a/img/bg-'+$scope.dc.dc_tipo_doacao+'.jpg)'});
        }else{
            $("#bg_geral").css({backgroundImage : 'url(a/img/bg-0.jpg)'});
        }
    };
    
    $scope.goPasso = function(p){
        $('html, body').animate({scrollTop: 0},1);
        $scope.dc.dc_valor = $scope.dc.dc_valor > 0 ? $scope.dc.dc_valor : $scope.val_selec;
        if(p == 2){
            $scope.transactions();
        }
    };
    $scope.proxPasso = function(){
        $('html, body').animate({scrollTop: 0},1);
        $scope.passo++;
        if($scope.passo === 0){
            $scope.val_selec = 0;
        }
        if($scope.passo === 1){
            $scope.dc.dc_valor = $scope.dc.dc_valor > 0 ? $scope.dc.dc_valor : $scope.val_selec;
        }
    };
    $scope.antPasso = function(){
        $('html, body').animate({scrollTop: 0},1);
        $scope.passo--;
        if($scope.passo === 0){
            $scope.val_selec = 0;
        }
    };
    
    
    $scope.transactions = function(){
        $scope.loader = true;
        doacaoService.transactions($scope.dc.dc_valor).success(function(data){
            $scope.rs_trans = data.result;
            $scope.loader = false;
            $scope.passo = 2;
        }).error(function(data, status, headers, config){
            Util.alertErrorMessage(data, status);
            $scope.loader = false;
        });
    };
    
    $scope.init();
}]);