app.service('freuniaoService', ['$rootScope', 'http', function ($rootScope, http) {

        /**
         * Retorna registros paginados das fotos das células
         * @param {type} pg Número da página
         * @param {type} search Pesquisar por
         * @param {type} filtro Filtros
         * @returns {unresolved}
         */
        this.getFotosReuniaoCelSearchAll = function (pg, search, filtro) {
            var url = $rootScope.rootUrl + "Celula/getFotosReuniaoCelSearchAll";
            var params = {
                ig_cod: localStorage.getItem('disp_ig_cod'),
                parameter: search,
                pg: pg + 1,
                regporpag: 6,
                filtro: filtro
            };

            return http.post(url, params);
        };
        
        
    }]);


