app.controller('minhacelulaListController', ['$scope', '$rootScope', '$location', 'Util', 'loginService', 'minhacelulaService', function ($scope, $rootScope, $location, Util, loginService, minhacelulaService) {
        loginService.acessoLogado();
        
        $rootScope.navtop.btnBack = true;
        $rootScope.navtop.title = "Minha Célula";
        
        $scope.loader = false;

        $scope.ce_list = [];
        $scope.ce_s = {};
        $scope.filtro = {};

        $scope.init = function () {
            $scope.getCelulasDoLiderListAll();
        };
        
        
        /**
         * Retorna registros paginados das células ativas do Lider
         * @returns {undefined}
         */
        $scope.getCelulasDoLiderListAll = function () { 
            $scope.loader = true;
            $scope.ce_list = [];

            minhacelulaService.getCelulasDoLiderListAll().success(function (data) {
                if(data.result === "logout"){loginService.setLogout(); return false;}
                
                $scope.ce_list = data.result;

                $scope.loader = false;
            }).error(function (data, status, headers, config) {
                Util.alertErrorMessage(data, status);
                $scope.loader = false;
            });
        };
         
        $scope.selecCelula = function(i){
            $scope.ce_s = i;
        };


        /**
         * Start
         */
        $scope.init();

    }]);


