app.controller('niversController', ['$scope', '$rootScope', 'Util', 'niversService', function($scope, $rootScope, Util, niversService){
    $rootScope.navtop.btnBack = true;
    $rootScope.navtop.title = "Aniversariantes";
    
    $scope.nv = [];
    $scope.loader = false;
    
    $scope.init = function(){
        $scope.getAniversariantesProx30Dias();
    };
    
    /**
     * Retornar os próximos aniversáriantes
     * @returns {undefined}
     */
    $scope.getAniversariantesProx30Dias = function(){
        $scope.loader = true;
        $scope.nv = [];
        
        niversService.getAniversariantesProx30Dias().success(function(data){
            $scope.nv = data.result;
            
            $scope.loader = false;
        }).error(function(data, status, headers, config){
            Util.alertErrorMessage(data, status);
            $scope.loader = false;
        });
    };
    
    
    
    
    
    /**
     * Start
     */
    $scope.init();
}]);


