app.directive('niversList', function(){
    return {
        restrict: 'EA',
        replace: true,
        scope: {
            nv: '='
        },
        templateUrl: 'app/c/us/niversListTpl.html',
        controller: function($scope, $rootScope, $filter, Util, niversService){
            
            $scope.path_f = $rootScope.rootUrlFotoUs;
            
            $scope.init = function(){
                
            };
            
            /**
            * Compartilhar aniversário
            * @param {object} i
            * @returns {undefined}
            */
           $scope.sendAniversarianteSocialSharing = function(i){
               niversService.sendAniversarianteSocialSharing(i);
           };


           $scope.getSemanaTxt = function(data, abrev){
               var hoje = Util.getHojeAM();
               var ano_atual = hoje.substr(0,4);
               var niver = ano_atual + data.substr(4);
               
               if(niver == hoje) return 'HOJE';
               
               var arr = niver.split("-").reverse();
               var d = new Date(arr[2], arr[1] - 1, arr[0]);
               var dia_semana = d.getDay()+"";
               return Util.getSemanaTxt(dia_semana, abrev);
           };

            
            /**
             * Start
             */
            $scope.init();
        }
    };
});


